using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kakuretter
{
    class Validation
    {
        public static bool isNumeric(string stTarget)
        {
            double dNullable;

            return double.TryParse(
                stTarget,
                System.Globalization.NumberStyles.Any,
                null,
                out dNullable
            );
        }

        public static bool isNumeric(object oTarget)
        {
            return isNumeric(oTarget.ToString());
        }
    }
}
